<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<script src="//code.jquery.com/jquery.min.js"></script>
<script>
    var menus = [
        {
            title: 'Customers',
            link: '/customers'
        },
        {
            title: 'Suppliers',
            link: '',
            menus: [
                {
                    title: 'All',
                    link: '/suppliers'
                },
                {
                    title: 'Active',
                    link: '/suppliers/active'
                },
                {
                    title: 'In Active',
                    link: '/suppliers/inactive'
                }
            ]
        },
        {
            title: 'Items',
            link: '/items'
        },
        {
            title: 'Staffs',
            link: '',
            menus: [
                {
                    topic: 'All', //topic is here.
                    link: '/staffs'
                },
                {
                    title: 'Active',
                    link: '/staffs/active'
                },
                {
                    title: 'In Active',
                    link: '/staffs/inactive'
                }
            ]
        },
    ]
</script>

<body>
    <div>
        <form>
            <input type="text" id="searchid" name="search" placeholder="Search...">
        </form>
        <div id="options"></div>
    </div>
</body>
<script>
    $(document).ready(function () {
        $('#options').html(createSearchOption());
        $('#searchid').keyup(function () {
            var param = $(this).val();
            $('#options').html(createSearchOption(param));
        })

    })

    function createSearchOption(param) {

        var content = '<ul>';
        $.each(menus, function (i, menu) {
            if (menu.menus === undefined) {
                if (param === undefined) {
                    content += '<li><a href="' + menu.link + '">' + menu.title + '</a></li>';
                } else {
                    if (menu.title.toLowerCase().includes(param.toLowerCase())) {
                        content += '<li><a href="' + menu.link + '">' + menu.title + '</a></li>';
                    }
                }

            } else {
                if (param === undefined) {
                    content += '<li><span>' + menu.title + '</span>';
                        $.each(menu.menus, function (j, submenu) {
                            if (submenu.topic === undefined) {
                                content += '<ul><li><a href="' + submenu.link + '">' + submenu.title + '</a></li></ul></li>';
                            } else {
                                content += '<ul><li><a href="' + submenu.link + '">' + submenu.topic + '</a></li></ul></li>';
                            }

                        });
                } else {
                    if (menu.title.toLowerCase().includes(param.toLowerCase())) {
                        content += '<li><span>' + menu.title + '</span>';
                        $.each(menu.menus, function (j, submenu) {
                            if (submenu.topic === undefined) {
                                content += '<ul><li><a href="' + submenu.link + '">' + submenu.title + '</a></li></ul></li>';
                            } else {
                                content += '<ul><li><a href="' + submenu.link + '">' + submenu.topic + '</a></li></ul></li>';
                            }

                        });
                    }
                }

            }


        })
        content += '</ul>';
        return content;

    }
</script>

</html>